# QDomDocument Class Reference

### [com.trolltech.qt.xml package]

Inherits QDomNode.

### Constructor

- void QDomDocument()
- void QDomDocument(QDomDocument x)
- void QDomDocument(QDomDocumentType doctype)
- void QDomDocument(String name)

### Constructor Properties

- prototype: The QDomDocument prototype object

### Prototype Object Properties

The QDomDocument prototype object inherits properties from the QDomNode prototype object and also has the following properties.

- QDomAttr createAttribute(String name)
- QDomAttr createAttributeNS(String nsURI, String qName)
- QDomCDATASection createCDATASection(String data)
- QDomComment createComment(String data)
- QDomDocumentFragment createDocumentFragment()
- QDomElement createElement(String tagName)
- QDomElement createElementNS(String nsURI, String qName)
- QDomEntityReference createEntityReference(String name)
- QDomProcessingInstruction createProcessingInstruction(String target, String data)
- QDomText createTextNode(String data)
- QDomDocumentType doctype()
- QDomElement documentElement()
- QDomElement elementById(String elementId)
- QDomNodeList elementsByTagName(String tagname)
- QDomNodeList elementsByTagNameNS(String nsURI, String localName)
- QDomImplementation implementation()
- QDomNode importNode(QDomNode importedNode, bool deep)
- bool setContent(QIODevice dev, String errorMsg, int errorLine, int errorColumn)
- QByteArray toByteArray(int arg__1)
- String toString(int arg__1)

### Instance Properties

QDomDocument objects have no special properties beyond those inherited from the QDomDocument prototype object.